> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/classic-tokenization/ja/ysuksu/kdo/fur/suteppu5-tkunwosuru/opushonc-ishuaapurikshondesuru.md).

# オプションC – イシュアアプリケーションで有効化する

このオプションを使用して、イシュアアプリケーションでID\&Vを完了します。ウォレットアプリケーションはエンドユーザーをイシュアアプリケーションにリダイレクトします。認証が成功すると、イシュアのバックエンドがトークンの有効化を再開します。

### フロー

{% stepper %}
{% step %}

### 1. イシュアアプリケーションのID\&Vメソッドを返す

あなたの `requestCardDigitization` レスポンスで、次を返します `idvMethod` と共に `type=bank_app`。関連する `id` および `値` フィールド。

参照： `requestCardDigitization` を [APIリファレンス](/classic-tokenization/ja/apirifarensu/ishuagtoweiapi/autobaundoishua.md).
{% endstep %}

{% step %}

### 2. イシュアアプリケーションへリダイレクトする

ウォレットアプリケーションとイシュアアプリケーション間のリダイレクトをサポートします。これにより、エンドユーザーがこのメソッドを選択した後にウォレットアプリケーションがフローを継続できます。

参照： [ウォレットとのイシュアアプリケーション統合](/classic-tokenization/ja/ysuksu/kdo/fur/suteppu5-tkunwosuru/opushonc-ishuaapurikshondesuru/ishuanoapurikshonwoworettotosuru.md).
{% endstep %}

{% step %}

### 3. トークン有効化を再開する

エンドユーザーが認証を完了したら、次を呼び出します `updateCardState` と共に `action=RESUME`.

参照： `updateCardState` を [APIリファレンス](/classic-tokenization/ja/apirifarensu/ishuagtoweiapi/inbaundoishuakara.md).
{% endstep %}
{% endstepper %}

すべてのxPayウォレットがイシュアアプリケーションのID\&Vをサポートしているわけではありません。実装する前に、xPayウォレットの担当者にサポートを確認してください。

### Visa Token Service (VTS)

Visa Token Service (VTS) は、イシュアアプリケーションのID\&Vに追加の2つのフィールドを要求します。これらのフィールドを、あなたが提供する `idvMethod` に返してください `requestCardDigitization`.

* `source`：アプリ間フローでウォレットアプリケーションに「認証証明」を提供したイシュアアプリケーションを表します。
  * Apple Pay：イシュアアプリケーションのApple Adam ID
  * Google PayおよびSamsung Pay：イシュアアプリケーションのAndroidパッケージ名
* `プラットフォーム`：イシュアアプリケーションが実行されるプラットフォームを表します。次のいずれかを使用してください： `IOS`, `ANDROID`, `WEB`.

### Mastercard Digital Enablement Service (MDES)

`source` および `プラットフォーム` はMDESには適用されません。イシュアアプリケーションのID\&VをサポートするようMDESを構成してください。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payments.thalescloud.io/classic-tokenization/ja/ysuksu/kdo/fur/suteppu5-tkunwosuru/opushonc-ishuaapurikshondesuru.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
